> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Business

> Update Business



## OpenAPI

````yaml /api-reference/businesses/openapi.json put /businesses/{businessId}
openapi: 3.0.0
info:
  title: Business API
  description: Documentation for business API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Businesses
    description: Documentation for business API
paths:
  /businesses/{businessId}:
    put:
      tags:
        - Businesses
      summary: Update Business
      description: Update Business
      operationId: update-business
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-07-28'
        - name: businessId
          required: true
          in: path
          example: 5DP4iH6HLkQsiKESj6rh
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateBusinessDto'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateBusinessResponseDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableDTO'
      security:
        - bearer:
            - businesses.write
components:
  schemas:
    UpdateBusinessDto:
      type: object
      properties:
        name:
          type: string
          example: Microsoft
        phone:
          type: string
          example: '+18832327657'
        email:
          type: string
          example: john@deo.com
        postalCode:
          type: string
          example: '12312312'
        website:
          type: string
          example: www.xyz.com
        address:
          type: string
          example: street adress
        state:
          type: string
          example: new york
        city:
          type: string
          example: new york
        country:
          type: string
          example: us
        description:
          type: string
          example: business description
    UpdateBusinessResponseDto:
      type: object
      properties:
        success:
          type: boolean
          description: Success Value
          example: true
        buiseness:
          $ref: '#/components/schemas/BusinessDto'
      required:
        - success
        - buiseness
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
        - error
    UnprocessableDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 422
        message:
          type: array
          items:
            type: string
          example:
            - Unprocessable Entity
        error:
          type: string
          example: Unprocessable Entity
      required:
        - statusCode
        - message
        - error
    BusinessDto:
      type: object
      properties:
        id:
          type: string
          description: Business Id
          example: 63771dcac1116f0e21de8e12
        name:
          type: string
          description: Business Name
          example: Microsoft
        phone:
          type: string
          description: phone number
        email:
          type: string
          description: email
          example: abc@microsoft.com
        website:
          type: string
          description: website
          example: microsoft.com
        address:
          type: string
          description: address
        city:
          type: string
          description: city
        description:
          type: string
          description: description
        state:
          type: string
          description: state
        postalCode:
          type: string
          description: postal code
        country:
          type: string
          description: country
          example: united states
        updatedBy:
          $ref: '#/components/schemas/BusinessCreatedByOrUpdatedBy'
        locationId:
          type: string
          description: locaitonId
        createdBy:
          $ref: '#/components/schemas/BusinessCreatedByOrUpdatedBy'
        createdAt:
          format: date-time
          type: string
          description: Creation Time
        updatedAt:
          format: date-time
          type: string
          description: Last updation time
      required:
        - id
        - name
        - locationId
    BusinessCreatedByOrUpdatedBy:
      type: object
      properties: {}
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Use the Access Token generated with user type as Sub-Account (OR)
        Private Integration Token of Sub-Account.
      type: http

````